import React from "react";
import { LinkProps as LinkPropsRaw } from "react-router-dom";
import { RouteDataContextContextType } from "./routeDataContext.js";
export interface LinkProps {
    className?: string;
    children?: JSX.Element | string | null | JSX.Element[];
    to: string | {
        id: string;
    };
    onClick?: () => void;
    propsRaw?: LinkPropsRaw;
}
export type LinkComponent = React.FC<LinkProps>;
export declare function getLinkComponent(routeDataContext: RouteDataContextContextType): LinkComponent;
